@Capability(namespace="org.apache.felix.gogo", name="runtime.implementation", version="1.0.0") @Requirement(effective="active", namespace="org.apache.felix.gogo", name="shell.implementation", version="1.0.0")

# Package org.apache.felix.gogo.runtime

Interface Summary
Evaluate

Class Summary
ArgList: List that overrides toString() for implicit $args expansion.
BaseTokenizer
Closure
CommandProcessorImpl
CommandProxy
CommandSessionImpl
Expander
Expression: EvalEx - Java Expression Evaluator
GlobPathMatcher: Freely adapted from Spring's AntPathMatcher.
Parser
Parser.Array: [ a b ...] [ k1=v1 k2=v2 ...]
Parser.Closure: { program }
Parser.Executable
Parser.Operator
Parser.Pipeline: token1 | token2 | ...
Parser.Program: pipe1 ; pipe2 ; ...
Parser.Sequence: ( program )
Parser.Statement
Pipe
Pipe.Result
Reflective
ThreadUtils
Token
Tokenizer

Exception Summary
CommandNotFoundException: Thrown if an unknown command is entered into a shell or passed on the command line
EOFError
SyntaxError